Skip to main content
GET
Get a Payment Link

Authorizations

Authorization
string
header
required

HTTP Basic authentication. Use your secret key as the username and an empty string as password. The API key should be base64 encoded in the format 'username:' when sending the Authorization header.

Path Parameters

id
string
required

Response

The Payment Link

A Payment Link with its catalog items, freight configuration and optional manual price override.

id
string
Example:

"2RhQg9M7ZCg3X3nMb9W1kX8Q"

merchantId
string
Example:

"2RhQg9M7ZCg3X3nMb9W1kX8Q"

name
string
Example:

"Kit Verão"

currency
string
Example:

"BRL"

price
number

Base amount used to create charges. Equals priceOverride when set, otherwise equals the subtotal computed from items[].

Example:

199

priceOverride
number | null

Manual override of the base price. null when not set.

Example:

199

items
object[]
freight
object
createdAt
string<date-time>
updatedAt
string<date-time>